Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161534 - Debugging info missing
Summary: Debugging info missing
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-pydev
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: eclipse-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 00:46 UTC by Robin Green
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-13 16:48:20 UTC


Attachments (Terms of Use)
Patch for build.properties (deleted)
2005-07-06 15:17 UTC, Robin Green
no flags Details | Diff
specfile patch (deleted)
2005-07-06 15:19 UTC, Robin Green
no flags Details | Diff

Description Robin Green 2005-06-24 00:46:51 UTC
Description of problem:
The line number information is missing in
/usr/share/eclipse/plugins/org.python.pydev_0.9.3/pydev.jar
(and presumably in the -debuginfo package as well, because that is generated
from the .jar, but I haven't checked that).

Version-Release number of selected component (if applicable):
eclipse-pydev-0.9.3_fc-7

Additional info:
The file org.python.pydev.releng/build.properties already says
javacDebugInfo=true, but the build is not honouring this option for some reason.

Comment 1 Robin Green 2005-07-06 15:17:33 UTC
Created attachment 116412 [details]
Patch for build.properties

This fixes the debuginfo creation for the bytecode.

Comment 2 Robin Green 2005-07-06 15:19:16 UTC
Created attachment 116413 [details]
specfile patch

This fixes the debuginfo creation for the native code, and also applies the
previous patch.

Comment 3 Jeff Pound 2005-07-13 16:48:20 UTC
The first patch has been applied directly (since we maintain build.properties)
The compile changes to the spec have been made as well.
Thanks!


This will be included in the next rawhide build (waiting for some build issues
to be worked out, same as bug 16304 and bug 16305)


Note You need to log in before you can comment on or make changes to this bug.